## knot 3.5.1

=== tests-redis/requirements.txt ===
rltest
setuptools<=80.0.0

## knot 0.8.1

=== debian/changelog ===
knot (0.8.1-1) unstable; urgency=low

  * Imported Upstream version 0.8.1
    + Correctly handle SPF resource records
    + Fix wrong text dumping of unknown records.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 01 Dec 2011 16:27:44 +0100

knot (0.8-1) unstable; urgency=low

  * Initial release (Closes: #647461)
  * Add some dependencies in the init.d script
  * Add flex and bison to b-d
  * Add versioned dependency on liburcu
  * Daemonize on the start
  * Update copyright file to include all licenses

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Nov 2011 07:14:55 +0100

=== debian/control ===
Source: knot
Section: net
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.4), libssl-dev, flex, bison
Standards-Version: 3.9.2
Homepage: http://www.knot-dns.cz/
Vcs-Browser: http://git.debian.org/?p=users/ondrej/knot-dns.git
Vcs-Git: git://git.debian.org/users/ondrej/knot-dns.git

Package: knot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: authoritative domain name server
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 Note: this release is still EXPERIMENTAL and you should know what
 you are doing and be able to write bug reports.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- \
	  --sysconfdir=/etc/knot \
	  --localstatedir /var/lib

## knot 0.9.1

=== debian/changelog ===
knot (0.9.1-3) unstable; urgency=low

  * Install files into knot package (broken build after added debug
    package)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Jan 2012 15:01:42 +0100

knot (0.9.1-2) unstable; urgency=low

  * Build knot-dbg package with debug symbols

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Jan 2012 13:27:20 +0100

knot (0.9.1-1) unstable; urgency=low

  * Imported Upstream version 0.9.1
    + RRSet rotation functionality added
    + New pseudo-random number generator (new BSD licensed)
    + Fixed build on BSD
    + Fixes in parsing and dumping of some RR types
  * Add correct git-buildpackage configuration
  * Update copyright for new PRNG

 -- Ondřej Surý <ondrej@debian.org>  Sat, 21 Jan 2012 15:47:30 +0100

knot (0.9-1) unstable; urgency=low

  * Imported Upstream version 0.9
    + Add TSIG support
    + Several smaller bugfixes
  * Add correct git-buildpackage configuration
  * Imported Upstream version 0.9.1
  * Update copyright for new PRNG

 -- Ondřej Surý <ondrej@debian.org>  Sat, 21 Jan 2012 15:46:54 +0100

## knot 1.0~rc1

=== debian/changelog ===
knot (1.0~rc1-1) unstable; urgency=low

  * Imported Upstream version 1.0~rc1
  * Move knotd.pid to /var/run where it belongs

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Feb 2012 21:12:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 	dh_auto_configure -- \
 	  --sysconfdir=/etc/knot \
 	  --localstatedir /var/lib
+
+override_dh_strip:
+	dh_strip --dbg-package=knot-dbg

## knot 1.0.1

=== debian/changelog ===
knot (1.0.1-1) unstable; urgency=low

  * Imported Upstream version 1.0.1
   - Implemented jitter to REFRESH/RETRY timers
   - Fixed problem with creating IXFR journal for bootstrapped zone
   - Fixed race condition in processing NOTIFY/SOA queries
   - Fixed improper assignment of TSIG algorithm type

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Mar 2012 20:18:37 +0100

knot (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0
  * Update pidfile patch

 -- Ondřej Surý <ondrej@debian.org>  Wed, 29 Feb 2012 18:46:13 +0100

=== debian/control ===
--- 
+++ 
@@ -21,3 +21,20 @@
  .
  Note: this release is still EXPERIMENTAL and you should know what
  you are doing and be able to write bug reports.
+
+Package: knot-dbg
+Architecture: any
+Depends: ${misc:Depends}, knot (= ${binary:Version})
+Recommends: gdb
+Section: debug
+Priority: extra
+Description: Debug symbols for Knot DNS
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
+ This package provides the debug symbols for Knot DNS needed for
+ properly debugging errors in Knot DNS with gdb.

## knot 1.0.6

=== debian/changelog ===
knot (1.0.6-1) unstable; urgency=low

  * Imported Upstream version 1.0.6
   - Add NSEC/NSEC3 for all wildcard CNAMEs in the response.
   - Fixed potential problems with RCU synchronization.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jun 2012 15:31:52 +0200

knot (1.0.5-1) unstable; urgency=low

  * Imported Upstream version 1.0.5
   - Fixed bug with creating journal files which didn't get merged
     by accident

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 May 2012 12:25:27 +0200

knot (1.0.4-1) unstable; urgency=low

  * Imported Upstream version 1.0.4
   - Speed-up loading of many zones due parallelization
   - Support for TLSA resource record (Type 52)
   - New commands knotc checkzone and knotc refresh (forced update)
   - Fixed responses to CNAME queries if the canonical name was also
     an alias
   - Fixed crash when NS or MX points to an alias
   - Fixed crash when bootstraping/compiling a lot of zones
   - Significant speed-up and memory usage reduction of IXFR-in

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 May 2012 09:33:26 +0200

knot (1.0.3-1) unstable; urgency=low

  * Imported Upstream version 1.0.3
   - Fixed bug in non-EDNS0 queries over TCP
   - Zone compilation time regression fixed

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Apr 2012 09:06:57 +0200

knot (1.0.2-1) unstable; urgency=low

  * Imported Upstream version 1.0.2
   - Bugfix release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Apr 2012 16:09:11 +0200

## knot 1.1.3

=== debian/changelog ===
knot (1.1.3-1) unstable; urgency=low

  * Imported Upstream version 1.1.3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Dec 2012 10:50:41 +0100

knot (1.1.3~rc1-1) unstable; urgency=low

  * Imported Upstream version 1.1.3~rc1
   + Fixed answering DS queries (RRSIGs not together with DS, AA bit
     missing).
   + Fixed setting ARCOUNT in some error responses with EDNS enabled.
   + Fixed crash when compiling zone zone with NSEC3PARAM but no NSEC3
     and semantic checks enabled.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Dec 2012 11:19:35 +0100

knot (1.1.2-1) unstable; urgency=low

  * Imported Upstream version 1.1.2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Nov 2012 14:45:34 +0100

knot (1.1.2~rc1-1) unstable; urgency=low

  * Imported Upstream version 1.1.2~rc1
  * Update patches for new release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Nov 2012 14:04:17 +0100

knot (1.1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1.1
  * Update and remove obsolete patches for new release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 31 Oct 2012 10:42:09 +0100

knot (1.1.0-5) unstable; urgency=low

  * Disable SSE2 instruction set, might solve some strange crashes.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Oct 2012 13:09:54 +0200

knot (1.1.0-4) unstable; urgency=low

  * Disable extra hardening via dpkg-buildflags, which is not needed
    by debhelper 9, but breaks builds on squeeze
  * Install man5 and knot.info documentation

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Sep 2012 16:43:26 +0200

knot (1.1.0-3) unstable; urgency=low

  * Bump dependency on debhelper >= 9
  * Bump standards version to 3.9.3
  * Fix installation of manpages to correct directories

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Sep 2012 16:02:11 +0200

knot (1.1.0-2) unstable; urgency=low

  * Disable AM_MAINTAINER_MODE and re-run autoreconf -fi
  * Enable hardening build by default
  * Update pidfile patch to 1.1.0
  * Cope with default MultiArch in dh_compat==9 and don't install
    unittests* binaries

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Sep 2012 15:32:53 +0200

knot (1.1.0-1) unstable; urgency=low

  * Imported Upstream version 1.1.0
   - User manual now available.
   - Optionally disable ANY queries for authoritative answers.
   - Dropping identical records in zone and incoming transfers.
   - Support for '/' in zone names.
   - Generating journal from reloaded zone (EXPERIMENTAL).
   - Outgoing-only interfaces in configuration file.
   - Following DNAME if the synthetized name is in the same zone.
   - IXFR-in optimized.
   - Many zones loading optimized.
   - Signing SOA with TSIG queries when checking zone version with master.
  * Enable maintainer mode to generate version.texi as a workaround.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Aug 2012 16:27:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,17 @@
 Section: net
 Priority: extra
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.4), libssl-dev, flex, bison
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9),
+	       autotools-dev,
+	       autoconf,
+	       automake,
+	       libtool,
+	       liburcu-dev (>= 0.4),
+	       libssl-dev,
+	       flex,
+	       bison,
+	       texinfo
+Standards-Version: 3.9.3
 Homepage: http://www.knot-dns.cz/
 Vcs-Browser: http://git.debian.org/?p=users/ondrej/knot-dns.git
 Vcs-Git: git://git.debian.org/users/ondrej/knot-dns.git

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,14 @@
 	dh $@ 
 
 override_dh_auto_configure:
+	autoreconf -fi
 	dh_auto_configure -- \
 	  --sysconfdir=/etc/knot \
-	  --localstatedir /var/lib
+	  --localstatedir=/var/lib \
+	  --libexecdir=/usr/lib/knot
 
 override_dh_strip:
 	dh_strip --dbg-package=knot-dbg
+
+override_dh_install:
+	dh_install --list-missing

## knot 1.3.0~rc4

=== debian/changelog ===
knot (1.3.0~rc4-2) unstable; urgency=low

  * Disable tests on big endian architectures (but the code still needs to
    be fixed)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Jul 2013 14:07:39 +0200

knot (1.3.0~rc4-1) unstable; urgency=low

  * New upstream version 1.3.0~rc4
  * Add upstream patch to honour CONFIG_DIR
  * Remove now obsolete patch to run as knot:knot
  * The knot/ is now added by upstream to @sysconfdir@

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Jul 2013 15:15:05 +0200

knot (1.3.0~rc3-2) unstable; urgency=low

  * Add proper support for upstart and systemd along with sysvinit
  * Add /usr/lib/knot/prepare-environment script which will parse
    knot configuration file and properly create rundir and set
    correct permissions to configured values in /etc/knot/knot.conf
  * Remove /etc/default/knot since the values are now parsed
    directly from the configuration file
  * Add /var/lib/knot to knot.dirs, so it gets created on package
    install
  * Drop checking for $VERBOSE variable and properly log start/stop from
    sysvinit script

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Jul 2013 13:08:33 +0200

knot (1.3.0~rc3-1) unstable; urgency=low

  * New upstream version 1.3.0~rc3
  * Packaging changes:
    + Use --fail-missing to check for all new files
    + Remove obsolete patches and update installed conffile with latest
      options
    + Don't install knot-zcompile as it is no more
    + Install minimal example configuration file as /etc/knot/knot.conf
    + Add --disable-silent-rules to configure invocation
    + Add patch to fix missing $(DESTDIR) in src/Makefile.am
    + Set --with-rundir and --with-storage to correct locations
    + Run under knot:knot by default (create and delete knot user)
    + Add knot-dnsutils and knot-host packages
    + Add patch to move knot-{host,dnsutils} manpages to correct location
    + Add samples/knot.{full,keys}.conf and example zone to examples.
  * Add knot-doc package with generated documentation (PDF and HTML)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 Jun 2013 12:59:55 +0200

knot (1.2.0-2) unstable; urgency=low

  * /etc/init.d/knot now sources /etc/default/knot instead of
    /etc/init.d/knotd (Closes: #707683)
  * Pull upstream fix for pidfile creation before dropping priviledges
    (Closes: #707685)
  * Enable SSE2 support again (we will simply not support anything older
    than Pentium M)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Jun 2013 14:41:04 +0200

knot (1.2.0-1) unstable; urgency=low

  * Imported Upstream version 1.2.0
   + Final release.
   + Some small memory leaks fixes.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Apr 2013 09:16:25 +0200

knot (1.2.0~rc4-1) unstable; urgency=low

  * Imported Upstream version 1.2.0~rc4
   + knotc 'zonestatus' command
   + Changing logfile ownership before dropping privileges
   + knotc respects 'control' section from configuration
   + RRL: resolved bucket collisions
   + RRL: updated bucket mapping to conform RRL technical memo

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Mar 2013 15:35:50 +0100

knot (1.2.0~rc3-1) unstable; urgency=low

  * Imported Upstream version 1.2.0~rc3
    + New functionality: Response Rate Limiting as a response to
      reflection DNS DDoS attacks in the wild
    + Add missing RRSIG in ANY queries

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Mar 2013 13:24:28 +0100

knot (1.2~rc2-1) unstable; urgency=low

  * Imported Upstream version 1.2~rc2
  * Fix git location
  * Update patches for 1.2 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Feb 2013 12:40:01 +0100

=== debian/control ===
Source: knot
Section: net
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
	       dh-autoreconf,
	       liburcu-dev (>= 0.4),
	       libssl-dev,
	       flex,
	       bison,
	       pkg-config,
	       texinfo,
	       texlive
Standards-Version: 3.9.3
Homepage: http://www.knot-dns.cz/
Vcs-Browser: http://git.debian.org/?p=users/ondrej/knot.git
Vcs-Git: git://git.debian.org/users/ondrej/knot.git

Package: knot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: authoritative domain name server
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-dbg
Architecture: any
Depends: ${misc:Depends}, knot (= ${binary:Version})
Recommends: gdb
Section: debug
Priority: extra
Description: Debug symbols for Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides the debug symbols for Knot DNS needed for
 properly debugging errors in Knot DNS with gdb.

Package: knot-dnsutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: net
Priority: optional
Conflicts: dnsutils
Replaces: dnsutils
Provides: dnsutils
Description: Clients provided with Knot DNS (kdig, knslookup, knsupdate)
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package delivers various client programs related to DNS that are
 derived from the Knot DNS source tree.
 .
  - [k]dig - query the DNS in various ways
  - [k]nsupdate - perform dynamic updates (See RFC2136)
 .
 Those clients were designed to be 1:1 compatible with BIND dnsutils,
 but they provide some enhancements, which are documented in respective
 manpages.
 .
 WARNING: [k]nslookup is not provided as it is considered obsolete.

Package: knot-host
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: net
Priority: optional
Conflicts: host
Provides: host
Replaces: host
Description: Version of 'host' bundled with Knot DNS
 This package provides the 'host' program in the form that is bundled
 with the Knot DNS.  The 'host' command is designed to be 1:1
 compatible with BIND 9.x 'host' program.

Package: knot-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Priority: optional
Description: Documentation for Knot DNS
 This package provides various documents that are useful for
 maintaining a working Knot DNS installation.

=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,46 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEB_HOST_ARCH        ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
 %:
-	dh $@ 
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	autoreconf -fi
 	dh_auto_configure -- \
-	  --sysconfdir=/etc/knot \
+	  --sysconfdir=/etc \
 	  --localstatedir=/var/lib \
-	  --libexecdir=/usr/lib/knot
+	  --libexecdir=/usr/lib/knot \
+	  --with-rundir=/run/knot \
+	  --with-storage=/var/lib/knot \
+	  --disable-silent-rules
+
+override_dh_auto_make:
+	dh_auto_make -- info pdf html
+
+override_dh_auto_install:
+	dh_auto_install -- install-info install-pdf install-html
+
+override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),armel mips powerpc s390 s390x sparc))
+	:
+else
+	dh_auto_test
+endif
 
 override_dh_strip:
 	dh_strip --dbg-package=knot-dbg
 
 override_dh_install:
-	dh_install --list-missing
+	# Install sample conf as /etc/knot/knot.conf
+	mv $(CURDIR)/debian/tmp/etc/knot/knot.sample.conf $(CURDIR)/debian/tmp/etc/knot/knot.conf
+	# Remove useless example zone from /etc/knot
+	rm $(CURDIR)/debian/tmp/etc/knot/example.com.zone
+	# Install custom script which creates RUNDIR and chowns it according to conffile settings
+	install -m 755 -d $(CURDIR)/debian/tmp/usr/lib/knot/
+	install -m 755 $(CURDIR)/debian/prepare-environment $(CURDIR)/debian/tmp/usr/lib/knot/
+
+	dh_install --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS

## knot 1.4.2

=== debian/changelog ===
knot (1.4.2-1) unstable; urgency=low

  * New upstream version 1.4.2
  * Update OpenSSL << 1.0.0 compatibility patch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 27 Jan 2014 16:14:33 +0100

knot (1.4.1-2) unstable; urgency=low

  * Add patch to remove the requirement for OpenSSL 1.0.0 to build on
    Debian squeeze, be warned though that the OpenSSL before 1.0.0 might
    manifest some threading errors and crashes, so you really should
    upgrade your system to Debian wheezy.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Jan 2014 16:53:03 +0100

knot (1.4.1-1) unstable; urgency=low

  * New upstream version 1.4.1
    + Empty APL record support
    + 'zonestatus' when using immediate zone syncing
    + Immediate zone syncing after reload
    + Race condition writing time values to zone file
    + Require OpenSSL >= 1.0.0
  * Don't use dh-autoreconf, upstream uses recent enough autotools
  * Bump standards version to 3.9.5
  * Run the tests on every arch without the condition, but don't fail
    anywhere

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Jan 2014 18:00:18 +0100

knot (1.4.0-1) unstable; urgency=low

  * New major upstream version 1.4.0
    + Experimental automatic DNSSEC signing
    + Fastest ragel parser enabled by default
    + Reduced memory usage 
    + Zone SOA SERIAL policies (INCREMENT, UNIXTIME) for DDNS and
      automatic DNSSEC signing
    + IDN support in Knot utilities (kdig, knsupdate, ...)
    + DNSSEC: support for GOST algorithm  
    + Support for DNSSEC key pre-publication
  * Remove PATH_MAX patch, it's already included in upstream
  * Run the tests on all archs, but don't fail the build if the tests fail
    on broken archs
  * Update watch file to match (alpha|beta|rc)\d* versions

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Jan 2014 11:00:07 +0100

knot (1.4.0~rc2-1) experimental; urgency=low

  * New upstream version 1.4.0~rc2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Dec 2013 17:53:26 +0100

knot (1.4.0~rc1-1) experimental; urgency=low

  * Disable tests on GNU Hurd
  * New upstream version 1.4.0~rc1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Nov 2013 16:19:27 +0100

knot (1.4.0~beta-1) experimental; urgency=low

  * New upstream version 1.4.0~beta
  * Update patches for 1.4.0~beta release
  * Disable fastparser since the ragel is broken in one test
  * Add knsec3hash to knot package

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Oct 2013 12:25:49 +0100

knot (1.3.4-1) unstable; urgency=low

  * Disable tests on GNU Hurd
  * New upstream version 1.3.4

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Dec 2013 17:23:52 +0100

knot (1.3.3-1) unstable; urgency=low

  * New upstream version 1.3.3

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Oct 2013 11:40:13 +0100

knot (1.3.2-3) unstable; urgency=low

  * Add ufw applications.d rule for Knot DNS
  * Disable recvmmsg on GNU Hurd (since recvmmsg is not implemented on GNU
    Hurd and will always fail)
  * Enable fastparser (requires Ragel)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 Oct 2013 17:23:35 +0200

knot (1.3.2-2) unstable; urgency=low

  * Define #PATH_MAX to make GNU Hurd happy
  * Don't enable LTO, it doesn't play well with debugging symbols

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Oct 2013 01:57:13 +0200

knot (1.3.2-1) unstable; urgency=low

  * New upstream version 1.3.2
  * Enable link-time-optimizations by default

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Sep 2013 15:04:01 +0200

knot (1.3.1-1) unstable; urgency=low

  * New upstream version 1.3.1
  * Add new debian/watch file (Courtesy of Debian QA)
  * Bump standards to 3.9.4
  * Stop using /lib/init/vars.sh, we don't use $VERBOSE anymore anyway
  * Drop syslog.target as it is not needed anymore
  * Remove SSE detection patch as it was merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 Aug 2013 14:27:44 +0200

knot (1.3.0-2) unstable; urgency=low

  * Disable SSE detection in the packaged version of Knot DNS

 -- Ondřej Surý <ondrej@debian.org>  Fri, 16 Aug 2013 13:04:39 +0200

knot (1.3.0-1) unstable; urgency=low

  * New upstream version 1.3.0
  * Remove upstream patch from 1.3.0~rc5-2 as it is included in
    this release.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Aug 2013 17:01:23 +0200

knot (1.3.0~rc5-2) unstable; urgency=low

  * Pull some pre 1.3.0 patches (mainly to test before release):
   + Initialize secondary groups for user <user>.<group>.
   + Reworked CH TXT records support (RFC 4892).
   + Fixed inactive xfers may be disconnected depending on the previous
     result.
   + Add server starting information to log.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Aug 2013 10:39:48 +0200

knot (1.3.0~rc5-1) unstable; urgency=low

  * New upstream version 1.3.0~rc5
  * Remove last upstream patch, all our changes have been merged. Yay\!

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Jul 2013 17:15:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Maintainer: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
-	       dh-autoreconf,
 	       liburcu-dev (>= 0.4),
 	       libssl-dev,
 	       flex,
 	       bison,
+	       ragel,
 	       pkg-config,
 	       texinfo,
 	       texlive
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.knot-dns.cz/
 Vcs-Browser: http://git.debian.org/?p=users/ondrej/knot.git
 Vcs-Git: git://git.debian.org/users/ondrej/knot.git

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,14 @@
 
 DEB_HOST_ARCH        ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386))
+  RECVMMSG:=--enable-recvmmsg=no
+else
+  RECVMMSG:=--enable-recvmmsg=yes
+endif
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -21,6 +27,7 @@
 	  --libexecdir=/usr/lib/knot \
 	  --with-rundir=/run/knot \
 	  --with-storage=/var/lib/knot \
+	  $(RECVMMSG) \
 	  --disable-silent-rules
 
 override_dh_auto_make:
@@ -30,11 +37,7 @@
 	dh_auto_install -- install-info install-pdf install-html
 
 override_dh_auto_test:
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),armel mips powerpc s390 s390x sparc))
-	:
-else
-	dh_auto_test
-endif
+	-dh_auto_test
 
 override_dh_strip:
 	dh_strip --dbg-package=knot-dbg
@@ -47,8 +50,10 @@
 	# Install custom script which creates RUNDIR and chowns it according to conffile settings
 	install -m 755 -d $(CURDIR)/debian/tmp/usr/lib/knot/
 	install -m 755 $(CURDIR)/debian/prepare-environment $(CURDIR)/debian/tmp/usr/lib/knot/
+	dh_install --fail-missing
 
-	dh_install --fail-missing
+	install -m 755 -d $(CURDIR)/debian/knot/etc/ufw/applications.d/
+	install -m 644 $(CURDIR)/debian/knot.ufw $(CURDIR)/debian/knot/etc/ufw/applications.d/knot
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts=uversionmangle=s/-((alpha|beta|rc)\d*)$/~$1/ \
https://secure.nic.cz/files/knot-dns/ \
(?:|.*/)knot(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## knot 1.5.0

=== debian/changelog ===
knot (1.5.0-1build1) utopic; urgency=medium

  * No-change rebuild against liburcu2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Jul 2014 05:40:08 +0000

knot (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
   + Features:
    - Pluggable query processing modules
    - Synthetic IPv4/IPv6 reverse/forward records (optional module)
    - dnstap support in both utilities & server (optional module)
    - NOTIFY message support and new TSIG section in kdig
    - Multi-master support
    - edns-client-subnet support in kdig
    - Optional asynchronous startup (config "asynchronous-start")
    - DDNS forwarding reimplemented
   + Improvements:
    - Query processing and core functionality overhaul 
    - Performance and reduced memory footprint
    - Faster zone events scheduling
    - RFC compliant queries/responses in some corner cases
    - Log messages
    - New documentation (Sphinx)
    - Transfer sizes logged in bytes if needed
    - Logging outgoing NOTIFY messages
    - Logging unauthorized incoming NOTIFYs
    - Preempt task queue for faster reload
    - Lazy zone file write after zone transfer (governed by "zonefile-sync")
   + Bugfixes:
    - Close zone transfer after SERVFAIL response
    - Incremental to full zone transfer fallback, wrong log message
    - Zone events corner cases, reload replanning
    - Zone flush planning after bootstrap
    - Incorrect incoming AXFR message sizes
    - DDNS signing changes were freed too soon, posibility of stale data
    - knotc remote control key handling
  * Debian packaging:
   + d/control: New documentation is using sphinx
   + d/control: New knot-libs package containing internal shared libraries

 -- Ondřej Surý <ondrej@debian.org>  Wed, 09 Jul 2014 13:08:26 +0200

knot (1.4.6+hotfix-1) unstable; urgency=medium

  * New upstream version 1.4.6+hotfix

 -- Ondřej Surý <ondrej@debian.org>  Thu, 22 May 2014 15:39:07 +0200

knot (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6
  * Update patches for 1.4.6 release

 -- Ondřej Surý <ondrej@debian.org>  Thu, 22 May 2014 13:15:14 +0200

knot (1.4.5-2) unstable; urgency=high

  * Re-upload to fix botched amd64 upload in 1.4.5-1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Apr 2014 14:58:30 +0200

knot (1.4.5-1) unstable; urgency=high

  * New upstream version 1.4.5
   + Fix possible weakness in TSIG signature checking
  * Refresh patches for 1.4.5 release
  * Use dh-autoreconf to regenerate autotools files

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Apr 2014 15:11:12 +0200

knot (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4
   + Server is logging remote control commands
   + 'knotc reload' doesn't refresh unchanged zones
   + 'knotc -f refresh' forces zone retransfer
   + Fixed missing notifications after DDNS/automatic resign
   + Zone is rebootstrapped if the zone file is unreadable
   + Progressive bootstrap retry backoff 
   + Zone file parser now allows asterisk as part of the label
   + Fix journal maximum entry size
   + Sign DNSKEYs in non-apex nodes as regular RR sets
   + Various spelling and typo fixes (Courtesy of Robert Edmonds)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Mar 2014 15:49:54 +0100

knot (1.4.3-2) unstable; urgency=medium

  * Add support for autotools-dev and dh-systemd
  * Enable parallel builds in dh invocation

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Feb 2014 13:44:13 +0100

knot (1.4.3-1) unstable; urgency=low

  * New upstream version 1.4.3

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Feb 2014 13:03:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: knot
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
 	       liburcu-dev (>= 0.4),
 	       libssl-dev,
+	       dh-systemd,
+	       dh-autoreconf,
+	       autotools-dev,
 	       flex,
 	       bison,
 	       ragel,
 	       pkg-config,
 	       texinfo,
-	       texlive
+	       texlive,
+	       texlive-latex-extra,
+	       texlive-font-utils,
+	       ghostscript,
+	       python-sphinx
 Standards-Version: 3.9.5
 Homepage: http://www.knot-dns.cz/
 Vcs-Browser: http://git.debian.org/?p=users/ondrej/knot.git
@@ -18,7 +25,7 @@
 
 Package: knot
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, knot-libs (= ${binary:Version})
 Description: authoritative domain name server
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
@@ -27,9 +34,22 @@
  registry and hence is well suited to run anything from the root
  zone, the top-level domain, to many smaller standard domain names.
 
+Package: knot-libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: authoritative domain name server
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
+ This package provides various internal common shared libraries.
+
 Package: knot-dbg
 Architecture: any
-Depends: ${misc:Depends}, knot (= ${binary:Version})
+Depends: ${misc:Depends}, knot (= ${binary:Version}), knot-libs (= ${binary:Version})
 Recommends: gdb
 Section: debug
 Priority: extra
@@ -46,9 +66,8 @@
 
 Package: knot-dnsutils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, knot-libs (= ${binary:Version})
 Section: net
-Priority: optional
 Conflicts: dnsutils
 Replaces: dnsutils
 Provides: dnsutils
@@ -74,13 +93,19 @@
 
 Package: knot-host
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, knot-libs (= ${binary:Version})
 Section: net
-Priority: optional
 Conflicts: host
 Provides: host
 Replaces: host
 Description: Version of 'host' bundled with Knot DNS
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
  This package provides the 'host' program in the form that is bundled
  with the Knot DNS.  The 'host' command is designed to be 1:1
  compatible with BIND 9.x 'host' program.
@@ -89,7 +114,13 @@
 Architecture: all
 Depends: ${misc:Depends}
 Section: doc
-Priority: optional
 Description: Documentation for Knot DNS
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
  This package provides various documents that are useful for
  maintaining a working Knot DNS installation.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with autotools-dev,systemd,autoreconf --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -30,8 +30,8 @@
 	  $(RECVMMSG) \
 	  --disable-silent-rules
 
-override_dh_auto_make:
-	dh_auto_make -- info pdf html
+override_dh_auto_build:
+	dh_auto_build -- all info pdf html
 
 override_dh_auto_install:
 	dh_auto_install -- install-info install-pdf install-html
@@ -50,6 +50,10 @@
 	# Install custom script which creates RUNDIR and chowns it according to conffile settings
 	install -m 755 -d $(CURDIR)/debian/tmp/usr/lib/knot/
 	install -m 755 $(CURDIR)/debian/prepare-environment $(CURDIR)/debian/tmp/usr/lib/knot/
+
+	# Remove .la and .so
+	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la $(CURDIR)/debian/tmp/usr/lib/*/*.so
+
 	dh_install --fail-missing
 
 	install -m 755 -d $(CURDIR)/debian/knot/etc/ufw/applications.d/

## knot 1.5.3

=== debian/changelog ===
knot (1.5.3-1~bpo70+1) wheezy-backports; urgency=medium

  * Backport for Debian 7.0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Sep 2014 17:28:49 +0200

knot (1.5.3-1) unstable; urgency=medium

  * Move knot-libs to Section: net (Closes: #760795)
  * New upstream version 1.5.3

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Sep 2014 17:00:08 +0200

knot (1.5.2-1) unstable; urgency=high

  * Update Vcs-Urls to point to anonscm.debian.org
  * New upstream version 1.5.2
    + [CVE-2014-0486]: Fixed remote crash with crafted DNS message
  * Update patches for 1.5.2 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 Sep 2014 11:11:56 +0200

knot (1.5.1-3) unstable; urgency=high

  * More arch/indep build rules splitting to fix binary-arch-only builds
  * Add lintian override to override warning about internal libraries in
    knot-libs

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Aug 2014 09:43:05 +0200

knot (1.5.1-2) unstable; urgency=medium

  * Enable full hardening via debhelper >= 9
  * Enable IDN in knot-dnsutils and knot-host packages
  * Enable systemd libraries only on linux-any
  * Split arch and indep builds to build the documentation just once
  * Drop ragel from build depends to allow arm64 builds

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Aug 2014 15:54:34 +0200

knot (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Enable systemd notification mechanism
  * Enable systemd journal enhanced logging

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Aug 2014 10:45:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,33 @@
 Section: net
 Priority: optional
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends-Indep: texinfo,
+		     texlive,
+		     texlive-latex-extra,
+		     texlive-font-utils,
+		     ghostscript,
+		     python-sphinx
+Build-Depends: debhelper (>= 7),
 	       liburcu-dev (>= 0.4),
 	       libssl-dev,
-	       dh-systemd,
-	       dh-autoreconf,
-	       autotools-dev,
+	       libidn11-dev,
 	       flex,
 	       bison,
-	       ragel,
 	       pkg-config,
 	       texinfo,
 	       texlive,
 	       texlive-latex-extra,
 	       texlive-font-utils,
 	       ghostscript,
-	       python-sphinx
+	       python-sphinx (>= 1.0.8+dfsg-2~),
+	       autotools-dev,
+	       automake,
+	       autoconf,
+	       libtool
 Standards-Version: 3.9.5
 Homepage: http://www.knot-dns.cz/
-Vcs-Browser: http://git.debian.org/?p=users/ondrej/knot.git
-Vcs-Git: git://git.debian.org/users/ondrej/knot.git
+Vcs-Browser: http://anonscm.debian.org/?p=users/ondrej/knot.git
+Vcs-Git: git://anonscm.debian.org/users/ondrej/knot.git
 
 Package: knot
 Architecture: any
@@ -37,6 +44,7 @@
 Package: knot-libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Section: libs
 Description: authoritative domain name server
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# To enable all, uncomment following line
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 DEB_HOST_ARCH        ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386))
@@ -18,9 +23,10 @@
 endif
 
 %:
-	dh $@ --with autotools-dev,systemd,autoreconf --parallel
+	dh $@ --parallel
 
 override_dh_auto_configure:
+	autoreconf -fi
 	dh_auto_configure -- \
 	  --sysconfdir=/etc \
 	  --localstatedir=/var/lib \
@@ -31,10 +37,10 @@
 	  --disable-silent-rules
 
 override_dh_auto_build:
-	dh_auto_build -- all info pdf html
+	dh_auto_build -- all html
 
 override_dh_auto_install:
-	dh_auto_install -- install-info install-pdf install-html
+	dh_auto_install -- install install-html
 
 override_dh_auto_test:
 	-dh_auto_test
@@ -52,12 +58,17 @@
 	install -m 755 $(CURDIR)/debian/prepare-environment $(CURDIR)/debian/tmp/usr/lib/knot/
 
 	# Remove .la and .so
-	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la $(CURDIR)/debian/tmp/usr/lib/*/*.so
+	-rm -f $(CURDIR)/debian/tmp/usr/lib/*/*.la \
+	       $(CURDIR)/debian/tmp/usr/lib/*/*.so \
+	       $(CURDIR)/debian/tmp/usr/lib/*.la \
+	       $(CURDIR)/debian/tmp/usr/lib/*.so
 
-	dh_install --fail-missing
+	dh_install -Nknot-doc --list-missing
 
 	install -m 755 -d $(CURDIR)/debian/knot/etc/ufw/applications.d/
 	install -m 644 $(CURDIR)/debian/knot.ufw $(CURDIR)/debian/knot/etc/ufw/applications.d/knot
 
+	dh_install -pknot-doc --list-missing
+
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## knot 1.6.0

=== debian/changelog ===
knot (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Switch to network-online.target to mitigate some network not-yet-ready races
  * Recommend systemd due journald enabled logging (Closes: #766596)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 24 Oct 2014 12:41:32 +0200

knot (1.6.0~rc2-1) unstable; urgency=medium

  * New upstream version 1.6.0~rc2
  * Update patches for 1.6.0~rc2 release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 17 Oct 2014 17:32:30 +0200

knot (1.6.0~rc1-1) unstable; urgency=medium

  * New upstream version 1.6.0~rc1
  * Knot needs lmdb for persistent timers

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Oct 2014 23:06:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,20 @@
 		     texlive-font-utils,
 		     ghostscript,
 		     python-sphinx
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
 	       liburcu-dev (>= 0.4),
 	       libssl-dev,
 	       libidn11-dev,
+	       dh-systemd,
+	       dh-autoreconf,
+	       autotools-dev,
 	       flex,
 	       bison,
 	       pkg-config,
-	       texinfo,
-	       texlive,
-	       texlive-latex-extra,
-	       texlive-font-utils,
-	       ghostscript,
-	       python-sphinx (>= 1.0.8+dfsg-2~),
-	       autotools-dev,
-	       automake,
-	       autoconf,
-	       libtool
-Standards-Version: 3.9.5
+	       libsystemd-daemon-dev [linux-any],
+	       libsystemd-journal-dev [linux-any],
+	       liblmdb-dev
+Standards-Version: 3.9.6
 Homepage: http://www.knot-dns.cz/
 Vcs-Browser: http://anonscm.debian.org/?p=users/ondrej/knot.git
 Vcs-Git: git://anonscm.debian.org/users/ondrej/knot.git
@@ -33,6 +29,7 @@
 Package: knot
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, knot-libs (= ${binary:Version})
+Recommends: systemd
 Description: authoritative domain name server
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.

=== debian/rules ===
--- 
+++ 
@@ -23,24 +23,30 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@ --with autotools-dev,systemd,autoreconf --parallel
 
 override_dh_auto_configure:
-	autoreconf -fi
 	dh_auto_configure -- \
 	  --sysconfdir=/etc \
 	  --localstatedir=/var/lib \
 	  --libexecdir=/usr/lib/knot \
 	  --with-rundir=/run/knot \
 	  --with-storage=/var/lib/knot \
+	  --enable-systemd=auto \
 	  $(RECVMMSG) \
 	  --disable-silent-rules
 
-override_dh_auto_build:
-	dh_auto_build -- all html
+override_dh_auto_build-arch:
+	dh_auto_build -- all
 
-override_dh_auto_install:
-	dh_auto_install -- install install-html
+override_dh_auto_build-indep:
+	dh_auto_build -- info pdf html
+
+override_dh_auto_install-arch:
+	dh_auto_install
+
+override_dh_auto_install-indep:
+	dh_auto_install -- install-info install-pdf install-html
 
 override_dh_auto_test:
 	-dh_auto_test
@@ -48,7 +54,7 @@
 override_dh_strip:
 	dh_strip --dbg-package=knot-dbg
 
-override_dh_install:
+override_dh_install-arch:
 	# Install sample conf as /etc/knot/knot.conf
 	mv $(CURDIR)/debian/tmp/etc/knot/knot.sample.conf $(CURDIR)/debian/tmp/etc/knot/knot.conf
 	# Remove useless example zone from /etc/knot
@@ -58,16 +64,14 @@
 	install -m 755 $(CURDIR)/debian/prepare-environment $(CURDIR)/debian/tmp/usr/lib/knot/
 
 	# Remove .la and .so
-	-rm -f $(CURDIR)/debian/tmp/usr/lib/*/*.la \
-	       $(CURDIR)/debian/tmp/usr/lib/*/*.so \
-	       $(CURDIR)/debian/tmp/usr/lib/*.la \
-	       $(CURDIR)/debian/tmp/usr/lib/*.so
+	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la $(CURDIR)/debian/tmp/usr/lib/*/*.so
 
 	dh_install -Nknot-doc --list-missing
 
 	install -m 755 -d $(CURDIR)/debian/knot/etc/ufw/applications.d/
 	install -m 644 $(CURDIR)/debian/knot.ufw $(CURDIR)/debian/knot/etc/ufw/applications.d/knot
 
+override_dh_install-indep:
 	dh_install -pknot-doc --list-missing
 
 override_dh_installchangelogs:

## knot 1.6.1

=== debian/changelog ===
knot (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 30 Dec 2014 09:50:54 +0100
